
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### microbe (executable)

tde_add_executable( microbe AUTOMOC

  SOURCES
        btreebase.cpp btreenode.cpp main.cpp
        traverser.cpp expression.cpp pic14.cpp
        variable.cpp optimizer.cpp instruction.cpp
        microbe.cpp parser.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)
